ru.bitel.bgbilling.plugins.documents.common.bean

## Class DocumentPattern

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.plugins.documents.common.bean.DocumentPattern

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Idable, ListItem

      public class DocumentPattern
      extends IdTitle
      implements java.lang.Cloneable

  Класс-модель шаблона документа.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentPattern()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDomain(int domainId)` Добавление одного домена к списку доменов шаблона.
    `void` | `addTable(DocumentTable table)` Добавление одной таблицы к списку таблиц шаблона.
    `void` | `addVariable(DocumentVariable var)` Добавление одной переменной к списку переменных шаблона.
    `DocumentPattern` | `clone()` Создание копии объекта.
    `java.lang.String` | `getComment()` Получение комментария шаблона.
    `java.util.Date` | `getCreatePatternDate()` Получение даты и времени создания шаблона документа.
    `java.lang.String` | `getDataExtractorClass()` Получение динамического класса, который
    `java.util.List<java.lang.Integer>` | `getDomainList()` Получение списка доменов, фильтр по которым будет работать при отображении списка шаблонов в договоре
    `java.lang.String` | `getGeneratedFileNamePattern()` Получение имени генерируемого файла.
    `java.util.Date` | `getLastModifyPatternDate()` Получение даты и времени последней модификации шаблона документа.
    `java.lang.String` | `getOutputDocumentName()` Получение имени сгенерированного документа.
    `int` | `getPos()`
    `java.util.List<DocumentTable>` | `getTableList()` Получение списка таблиц шаблона.
    `int` | `getUserId()` Получение кода пользователя, создавшего/отредактировавшего шаблон документа.
    `java.util.List<DocumentVariable>` | `getVariableList()` Получение списка переменных шаблона.
    `boolean` | `isUseInPlugin()` Deprecated.
    `boolean` | `isVisibleInPlugin()` Виден ли данный шаблон в списке шаблонов для генерации документов на договоре.
    `void` | `setComment(java.lang.String comment)` Установка комментария шаблона.
    `void` | `setCreatePatternDate(java.util.Date createPatternDate)` Установка даты и времени создания шаблона документа.
    `void` | `setDataExtractorClass(java.lang.String dataExtractorClass)`
    `void` | `setDomainList(java.util.List<java.lang.Integer> domainList)` Установка списка доменов, фильтр по которым будет работать при отображении списка шаблонов в договоре
    `void` | `setGeneratedFileNamePattern(java.lang.String generatedFileNamePattern)` Установка имени генерируемого файла.
    `void` | `setLastModifyPatternDate(java.util.Date lastModifyPatternDate)` Установка даты и времени последней модификации шаблона документа.
    `void` | `setOutputDocumentName(java.lang.String outputDocumentName)` Установка имени сгенерированного документа.
    `void` | `setPos(int pos)`
    `void` | `setTableList(java.util.List<DocumentTable> tableList)` Установка списка таблиц шаблона.
    `void` | `setUseInPlugin(boolean isUseInPlugin)` Deprecated.
    `void` | `setUserId(int userId)` Установка кода пользователя, создавшего/отредактировавшего шаблон документа.
    `void` | `setVariableList(java.util.List<DocumentVariable> variableList)` Установка списка переменных шаблона.
    `void` | `setVisibleInPlugin(boolean visibleInPlugin)` Установка видимости шаблона в списке шаблонов для генерации на договоре.

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### DocumentPattern

          public DocumentPattern()

  - ### Method Detail

    - #### getPos

          public int getPos()

    - #### setPos

          public void setPos(int pos)

    - #### getOutputDocumentName

          public java.lang.String getOutputDocumentName()

      Получение имени сгенерированного документа.
      Returns:
        имя сгенерированного документа.

    - #### setOutputDocumentName

          public void setOutputDocumentName(java.lang.String outputDocumentName)

      Установка имени сгенерированного документа.
      Parameters:
        `outputDocumentName` - имя сгенерированного документа.

    - #### getGeneratedFileNamePattern

          public java.lang.String getGeneratedFileNamePattern()

      Получение имени генерируемого файла.
      Returns:
        имя генерируемого файла.

    - #### setGeneratedFileNamePattern

          public void setGeneratedFileNamePattern(java.lang.String generatedFileNamePattern)

      Установка имени генерируемого файла.
      Parameters:
        `generatedFileNamePattern` - имя генерируемого файла.

    - #### isUseInPlugin

          @Deprecated
          public boolean isUseInPlugin()

      Deprecated.
      Использовать `isVisibleInPlugin()`

    - #### setUseInPlugin

          @Deprecated
          public void setUseInPlugin(boolean isUseInPlugin)

      Deprecated.
      Использовать `setVisibleInPlugin(boolean)`

    - #### isVisibleInPlugin

          public boolean isVisibleInPlugin()

      Виден ли данный шаблон в списке шаблонов для генерации документов на договоре.
      Returns:
        true - виден, false - не виден.

    - #### setVisibleInPlugin

          public void setVisibleInPlugin(boolean visibleInPlugin)

      Установка видимости шаблона в списке шаблонов для генерации на договоре.
      Parameters:
        `visibleInPlugin` - true - виден, false - не виден.

    - #### getVariableList

          public java.util.List<DocumentVariable> getVariableList()

      Получение списка переменных шаблона.
      Returns:
        список переменных шаблона.

    - #### setVariableList

          public void setVariableList(java.util.List<DocumentVariable> variableList)

      Установка списка переменных шаблона.
      Parameters:
        `variableList` - список переменных шаблона.

    - #### addVariable

          public void addVariable(DocumentVariable var)

      Добавление одной переменной к списку переменных шаблона.
      Parameters:
        `var` - переменная.

    - #### addDomain

          public void addDomain(int domainId)

      Добавление одного домена к списку доменов шаблона.
      Parameters:
        `domainId` - код домена.

    - #### getTableList

          public java.util.List<DocumentTable> getTableList()

      Получение списка таблиц шаблона.
      Returns:
        список таблиц.

    - #### setTableList

          public void setTableList(java.util.List<DocumentTable> tableList)

      Установка списка таблиц шаблона.
      Parameters:
        `tableList` - список таблиц

    - #### addTable

          public void addTable(DocumentTable table)

      Добавление одной таблицы к списку таблиц шаблона.
      Parameters:
        `table` - таблица.

    - #### getComment

          public java.lang.String getComment()

      Получение комментария шаблона.
      Returns:
        комментарий шаблона.

    - #### setComment

          public void setComment(java.lang.String comment)

      Установка комментария шаблона.
      Parameters:
        `comment` - комментарий.

    - #### getDataExtractorClass

          public java.lang.String getDataExtractorClass()

      Получение динамического класса, который
      Returns:

    - #### setDataExtractorClass

          public void setDataExtractorClass(java.lang.String dataExtractorClass)

    - #### getUserId

          public int getUserId()

      Получение кода пользователя, создавшего/отредактировавшего шаблон документа.
      Returns:
        код пользователя. По умолчанию -2

    - #### setUserId

          public void setUserId(int userId)

      Установка кода пользователя, создавшего/отредактировавшего шаблон документа.
      Parameters:
        `userId` - код пользователя.

    - #### getCreatePatternDate

          public java.util.Date getCreatePatternDate()

      Получение даты и времени создания шаблона документа.
      Returns:
        дата и время создания шаблона.

    - #### setCreatePatternDate

          public void setCreatePatternDate(java.util.Date createPatternDate)

      Установка даты и времени создания шаблона документа.
      Parameters:
        `createPatternDate` - дата и время создания шаблона.

    - #### getLastModifyPatternDate

          public java.util.Date getLastModifyPatternDate()

      Получение даты и времени последней модификации шаблона документа.
      Returns:
        дата и время последней модификации шаблона документа.

    - #### setLastModifyPatternDate

          public void setLastModifyPatternDate(java.util.Date lastModifyPatternDate)

      Установка даты и времени последней модификации шаблона документа.
      Parameters:
        `lastModifyPatternDate` - дата и время последней модификации шаблона документа.

    - #### clone

          public DocumentPattern clone()

      Создание копии объекта.
      Overrides:
        `clone` in class `java.lang.Object`
      Since:
        7.0

    - #### getDomainList

          public java.util.List<java.lang.Integer> getDomainList()

      Получение списка доменов, фильтр по которым будет работать при отображении списка шаблонов в договоре
      Returns:
        список доменов

    - #### setDomainList

          public void setDomainList(java.util.List<java.lang.Integer> domainList)

      Установка списка доменов, фильтр по которым будет работать при отображении списка шаблонов в договоре
      Parameters:
        `domainList` - список доменов